Method: projects.locations.apps.assistantSessions.list

Lists all assistant sessions in the given app.

HTTP request

GET https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}/assistantSessions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The app to list assistant sessions from. Format: projects/{project}/locations/{location}/apps/{app}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. The nextPageToken value returned from a previous list AssistantService.ListAssistantSessions call.

filter

string

Optional. Filter to be applied when listing the assistant sessions. See https://google.aip.dev/160 for more details.

Request body

The request body must be empty.

Response body

Response message for AssistantService.ListAssistantSessions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "assistantSessions": [
    {
      object (AssistantSession)
    }
  ],
  "nextPageToken": string
}
Fields
assistantSessions[]

object (AssistantSession)

The list of assistant sessions.

nextPageToken

string

Optional. A token that can be sent as ListAssistantSessionsRequest.page_token to retrieve the next page. Absence of this field indicates there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • ces.assistantSessions.list

For more information, see the IAM documentation.